package com.ruoyi.web.plotmanage.service.impl;

import com.ruoyi.web.plotmanage.domain.AdPlot;
import com.ruoyi.web.plotmanage.mapper.AdPlotMapper;
import com.ruoyi.web.plotmanage.service.IAdPlotService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 小区管理Service业务层处理
 *
 * @author cyx
 * @date 2022-11-23
 */
@Service
public class AdPlotServiceImpl implements IAdPlotService
{
    @Autowired
    private AdPlotMapper adPlotMapper;

    /**
     * 查询小区管理
     *
     * @param id 小区管理主键
     * @return 小区管理
     */
    @Override
    public AdPlot selectAdPlotById(String id)
    {
        return adPlotMapper.selectAdPlotById(id);
    }

    /**
     * 查询小区管理列表
     *
     * @param adPlot 小区管理
     * @return 小区管理
     */
    @Override
    public List<AdPlot> selectAdPlotList(AdPlot adPlot)
    {
        return adPlotMapper.selectAdPlotList(adPlot);
    }

    /**
     * 新增小区管理
     *
     * @param adPlot 小区管理
     * @return 结果
     */
    @Override
    public int insertAdPlot(AdPlot adPlot)
    {
        return adPlotMapper.insertAdPlot(adPlot);
    }

    /**
     * 修改小区管理
     *
     * @param adPlot 小区管理
     * @return 结果
     */
    @Override
    public int updateAdPlot(AdPlot adPlot)
    {
        return adPlotMapper.updateAdPlot(adPlot);
    }

    /**
     * 批量删除小区管理
     *
     * @param ids 需要删除的小区管理主键
     * @return 结果
     */
    @Override
    public int deleteAdPlotByIds(String[] ids)
    {
        return adPlotMapper.deleteAdPlotByIds(ids);
    }

    /**
     * 删除小区管理信息
     *
     * @param id 小区管理主键
     * @return 结果
     */
    @Override
    public int deleteAdPlotById(String id)
    {
        return adPlotMapper.deleteAdPlotById(id);
    }
}
